1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

failed 8.1.1 upgrade - The key is for version 7.5.x, but the product version is 8.1.1

Discussion in 'Plesk for Linux - 8.x and Older' started by henderob, May 25, 2007.

  1. henderob

    henderob Guest

    0
     
    I attempted to upgrade Plesk 7.5.4 to 8.1.1 using the Plesk Updater. It froze in the middle of the install. After rebooting, I can no longer connect to https://mydomain:8443; it shows:
    Unable to connect. Firefox can't establish a connection to the server at www.venganza.org:8443.

    I am leasing a dedicated server through godaddy. The OS is Red Hat Fedora Core 2, running mysql 3.2.3.

    When I try to manually start plesk through the command-line, it gives me:

    The key is for version 7.5.x, but the product version is 8.1.1
    PHP Fatal error: Unable to start psakey module in Unknown on line 0
    /usr/local/psa/admin/bin/httpsdctl start: httpd could not be started
    Starting Plesk: [FAILED]

    At this point, I don't care if I complete the upgrade to 8.1.1 or restore 7.5.4. I don't have a new key - I was told by godaddy support to complete the upgrade, and then contact them for the key. But, how can I do that? (or, alternatively, how can I resolve the key issue from the command-line?)

    Based on what I've read on the forums and the web, it looks like my installation hung up part way through. I've tried running the autoinstaller through the command line. When choosing upgrade to 8.1.1, it hangs with a similar error message:

    The key is for version 7.5.x, but the product version is 8.1.1
    PHP Fatal error: Unable to start psakey module in Unknown on line 0
    ERROR: Process exit with error
    ERROR: Installation failed

    When I try to "upgrade" to 7.5.4, using the autoinstaller, it hangs at "reading system installed packages" for a long time, and then errors with:

    Resolve components
    ERROR: Can't install product package psa-api-rpc
    Errors just before:
    - Trying to find direct hardwired dependencies for package psa-agent-1.3.5-75060321.20.noarch
    - Check for need upgrade of psa-api-rpc-7.5.4-fc2.build75050930.11.noarch with upgrade of psa-agent-1.3.5-75050930.11.noarch wich needs to install psa-agent-1.3.5-75060321.20.noarch
    - Append necessary package in selectBestResolvers psa-api-rpc-8.1.1-fc2.build81070404.14.noarch

    ERROR: Installation failed

    I also tried to restore the old configuration using the mysql.preupgrade.dump , and also the mysql.daily.dump.0 (neither of which showed any apparent difference).

    So .. I'm stuck. I either want to complete the installation to 8.1.1, or roll back to 7.5.4. Any help for either direction is much appreciated. Thanks in advance.

    -bobby
     
  2. siren@

    siren@ Guest

    0
     
    Send in a support request to godaddy to install the 8.1.1 Key for you then rerun the installer, hopefully that will correct your problem.

    Downgrading back to 7.5.4 is a whole slew of other problems.
     
  3. henderob

    henderob Guest

    0
     
    Thanks siren. Godaddy did install the 8.1.1 key. Plesk now starts from the command line, however, the web-interface errors with:

    Configuration variable not found: OPENSSL_BIN

    I then tried to re-install plesk 8.1.1, using the command-line autoinstaller.

    It errors with:

    Start packages installation
    Install package psa-autoinstaller-3.1.2-build31070321.18.i586
    file /usr/local/psa/admin/sbin/autoinstaller from install of psa-autoinstaller-3.1.2-build31070321.18 conflicts with file from package psa-7.5.4-fc2.build75050824.12
    ERROR: Error while execute command rpm -U /root/swsoft/PSA_8.1.1/dist-rpm-FedoraCore-2-i386/opt/updater/psa-autoinstaller-3.1.2-build31070321.18.i586.rpm
    Errors just before:
    - Error while execute command rpm -U /root/swsoft/PSA_8.1.1/dist-rpm-FedoraCore-2-i386/opt/updater/psa-autoinstaller-3.1.2-build31070321.18.i586.rpm

    ERROR: Installation failed

    So, I'm stuck again. Any ideas? Thanks in advance.
    -bobby
     
  4. frostie

    frostie Guest

    0
     
    Have you got the mod_ssl rpm installed?
     
  5. henderob

    henderob Guest

    0
     
    I gave up and reprovisioned the server with newer versions of php/mysql/plesk - things are working fine now.
    -bobby
     
Loading...